// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from './App';
import router from './router';
import ElementUI from 'element-ui';
import moment from 'moment';
import 'element-ui/lib/theme-chalk/index.css';
import '@/assets/css/index.css';
import '@/assets/css/font-awesome.min.css';
// import axios from 'axios';
import myaxios from '@/plugins/MyAxios';
import MyBreadcrumb from '@/components/MyBreadcrumb';
import 'babel-polyfill';

Vue.use(ElementUI);
Vue.use(myaxios);
Vue.component(MyBreadcrumb.name, MyBreadcrumb);

Vue.filter('fmtDate', (value, formatString) => {
  formatString = formatString || 'YYYY-MM-DD HH:mm:ss';
return moment(value).format(formatString);
});

Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
});
