import Vue from 'vue';
import Router from 'vue-router';
const Login = () => import('@/views/Login');
const Home = () => import('@/views/Home');
// 首页
const Main = () => import('@/views/main/main');
//用户中心部分
const User = () => import('@/views/sys/user');
const Role = () => import('@/views/sys/role');
const Recharge = () => import('@/views/sys/recharge');
//消费统计部分
const Waybill = () => import('@/views/meter/waybill');
const Invoice = () => import('@/views/meter/invoice');
const Expense = () => import('@/views/meter/expense');
//没有权限报错403
// const Errorone = () => import('@/views/error/errorone');

import { Message } from 'element-ui';

Vue.use(Router);

const router = new Router({
  base: '/jkcredit/',
  mode: 'history',
  routes: [
    {name: 'Login', path: '/login', component: Login},
    {name: 'Home',
      path: '/',
      component: Home,
      redirect: '/main',
      children:[
        //首页
        {name: 'Main', path: '/main',component: Main},
        // 用户中心部分
        {name: 'User', path: '/user', component: User},
        {name: 'Role', path: '/role', component: Role},
        {name: 'Recharge', path: '/recharge', component: Recharge},
        // 消费统计部分
        {name: 'Waybill', path: '/waybill', component: Waybill},
        {name: 'Invoice', path: '/invoice', component: Invoice},
        {name: 'Expense', path: '/expense', component: Expense},
        //跳转403页面
        // {name: 'Errorone', path: '/errorone', component: Errorone},

      ]
    }
  ]
});

router.beforeEach((to, from, next) => {
  // console.log(to);
  // console.log(from);
  // next();
  // 如果是登录的时候不判断token ，不是登录才判断token
  // console.log(to);
  if (to.name && to.name.toLocaleLowerCase() !== 'login') {
    // 判断token
    const token = sessionStorage.getItem('token');
    if (!token) {
      // 没有token,跳转到登录页面
      // this.$router.push('/login')
      router.push('/login');
      // 提示
      // this.$message.warning('请先登录');
      Message.warning('请先登录');
      return;
    }
  }
  next();
});

export default router;
